JarrowRudd Class Reference
Lattice methods

Jarrow-Rudd (multiplicative) equal probabilities binomial tree. More...

`#include <ql/methods/lattices/binomialtree.hpp>`

Inheritance diagram for JarrowRudd:
[legend]

## Public Member Functions

| JarrowRudd (const boost::shared_ptr< StochasticProcess1D > &, Time end, Size steps, Real strike)
Public Member Functions inherited from EqualProbabilitiesBinomialTree< JarrowRudd >
| EqualProbabilitiesBinomialTree (const boost::shared_ptr< StochasticProcess1D > &process, Time end, Size steps)
Real | underlying (Size i, Size index) const
Real | probability (Size, Size, Size) const
Public Member Functions inherited from BinomialTree< JarrowRudd >
| BinomialTree (const boost::shared_ptr< StochasticProcess1D > &process, Time end, Size steps)
Size | size (Size i) const
Size | descendant (Size, Size index, Size branch) const
Public Member Functions inherited from Tree< JarrowRudd >
| Tree (Size columns)
Size | columns () const

## Additional Inherited Members

Public Types inherited from BinomialTree< JarrowRudd >
enum | Branches
Protected Member Functions inherited from CuriouslyRecurringTemplate< JarrowRudd >
JarrowRudd & | impl ()
const JarrowRudd & | impl () const
Protected Attributes inherited from EqualProbabilitiesBinomialTree< JarrowRudd >
Real | up_
Protected Attributes inherited from BinomialTree< JarrowRudd >
Real | x0_
Real | driftPerStep_
Time | dt_

## Detailed Description

Jarrow-Rudd (multiplicative) equal probabilities binomial tree.